% (2)
% Visualize point mass

figure
ss=5; % Allow realtime by decreasing frame rate. Raise integer value to do so.
dtcorrect=0;

for i=1:ss:N   
    tic
    clf
    plot(1,ts_L(i),'Marker','o','MarkerFaceColor','black','MarkerSize',10);
    hold on
    line([1 1],[ts_dp(i) ts_L(i)]);    % Spring line
    axis([0 2 0 1.5]);
    if dtcorrect>ss*dtsample
        plot(1.5,1,'Marker','o','MarkerFaceColor','red','MarkerSize',10);
    end
    drawnow
    dtcorrect=toc;
    pause(ss*dtsample-dtcorrect);
end