% (2)
% Visualize point mass

figure
ss=1; % Allow realtime by decreasing frame rate. Raise integer value to do so.
dtcorrect=0;
dtvis=dtsample*5;

for i=1:ss:N   
    tic
    clf
    plot(ts(i,2),ts(i,3),'Marker','o','MarkerFaceColor','black','MarkerSize',10);
    hold on
    line([ts(i,2) ts(i,4)],[ts(i,3) ts(i,5)]);    % Spring line
    axis([ts(i,2)-1 ts(i,2)+1 0 1.5]);
    if dtcorrect>ss*dtvis
        plot(1.5,1,'Marker','o','MarkerFaceColor','red','MarkerSize',10);
    end
    drawnow
    dtcorrect=toc;
    
    % pause
    pause(ss*dtvis-dtcorrect);
end