%
% steps-to-fall map
%

deg=pi/180;

% ---- BEGIN --- Steps-to-fall bounds

NN=64;

k0=500;
kend=40000;

a0=40*deg;
aend=80*deg;

% ----  END  --- Steps-to-fall bounds

kvals=linspace(k0,kend,NN);
avals=linspace(a0,aend,NN);
map=nan(NN);

for i=1:NN
    for j=1:NN
        map(i,j)=slipfcn(kvals(i),avals(j));        
        pcolor(avals/deg,kvals,map);
    end
    colorbar
    drawnow
end

